function [ p0,p1,P0,P1 ] = isoregR( svm0,svm1 )
%isoregR 

%isotonic function links to R (requires Matlab-R interface, available for download at
% http://www.mathworks.co.uk/matlabcentral/fileexchange/5051-matlab-r-link/ )

%svm0 and svm1 are the vectors of the attrinbutes and labels of the training set and the 
%test instance assuming the test instance is 0 (svm0) or 1 (svm1)

% order the scoring from 0 to  1 for consistency

if(sum(svm0(:,1).*svm0(:,2))<0)
svm0(:,1)=-svm0(:,1);
svm1(:,1)=-svm1(:,1);
end


% open R library

evalR('library("fdrtool")');

% evaluate p0 and p1 using isotonic regression

putRdata('z',svm0);

evalR('mr = monoreg(z)');
evalR('x0 <- mr$x');
evalR('y0 <- mr$yf');
x0 = getRdata('x0');
y0 = getRdata('y0');

p0=y0(find(x0==svm0(end,1),1));

putRdata('z',svm1);

evalR('mr = monoreg(z)');
evalR('x1 <- mr$x');
evalR('y1 <- mr$yf');
x1 = getRdata('x1');
y1 = getRdata('y1');

p1=y1(find(x1==svm1(end,1),1));

% P0 and P1 for Zadrozny and Elkan method only

putRdata('z',svm0(1:end-1,:));

evalR('mr = monoreg(z)');
evalR('x0 <- mr$x');
evalR('y0 <- mr$yf');
x0 = getRdata('x0');
y0 = getRdata('y0');

P1=y0(knnsearch(transpose(x0),svm0(end,1)));

P0=1-P1;



end

